package com.xindazhou.business.convert.agreement;

import com.xindazhou.framework.common.pojo.PageResult;
import com.xindazhou.business.controller.admin.agreement.vo.AgreementRespVO;
import com.xindazhou.business.controller.admin.agreement.vo.AgreementSaveReqVO;
import com.xindazhou.business.dal.dataobject.agreement.AgreementDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * APP协议管理 Convert
 *
 * @author xindazhou
 */
@Mapper
public interface AgreementConvert {

    AgreementConvert INSTANCE = Mappers.getMapper(AgreementConvert.class);

    AgreementDO convert(AgreementSaveReqVO bean);

    AgreementRespVO convert(AgreementDO bean);

    PageResult<AgreementRespVO> convertPage(PageResult<AgreementDO> page);

    List<AgreementRespVO> convertList(List<AgreementDO> list);

}

